/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_PRODCOMP                                                 */
/* Tabela : PRODCOMP                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 03/03/2004 - Pedro Nerino Viol de Lima                                     */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
             o.name = 'DTULTATU_PRODCOMP' and
             type = 'TR'                  and
             u.uid = o.uid                and
             u.name = USER)
DROP TRIGGER DTULTATU_PRODCOMP
GO

CREATE TRIGGER DTULTATU_PRODCOMP
ON PRODCOMP
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'PRODCOMP', 'CDOPERADOR=' + CDOPERADOR +
                                   ';CDPRODUTO=' + CDPRODUTO+';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE PRODCOMP
      SET DTULTATUPRCMP = GETDATE()
      FROM INSERTED
      WHERE ISNULL(PRODCOMP.CDOPERADOR,0) = ISNULL(INSERTED.CDOPERADOR,0) and
            ISNULL(PRODCOMP.CDPRODUTO,0)  = ISNULL(INSERTED.CDPRODUTO,0);
   END;
END
;
GO

